#include <stdio.h>
#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int a,b;
    scanf("%d%d",&a,&b);
    if ((a+b)>=256) printf("0");
    else printf("%d",max(min(a,b),256-max(a,b)));
}